:: This file is to be used after uninstalling Articulate Studio '13 to remove relevant program files and regsitry keys.

:: This section deletes the Articulate StudioOLD directory if this script has been run previously.
rd "C:\Program Files\Articulate\Articulate StudioOLD" /s /q
rd "C:\Program Files (x86)\Articulate\Articulate StudioOLD" /s /q

:: This section makes a backup copy of the Articulate Studio '13 program files.
rename "C:\Program Files\Articulate\Articulate Studio" "Articulate StudioOLD"
rename "C:\Program Files (x86)\Articulate\Articulate Studio" "Articulate StudioOLD"

:: This section deletes the illustrated characters.
rd "C:\Program Files\Common Files\Articulate\Characters\Illustrated" /s /q
rd "C:\Program Files (x86)\Common Files\Articulate\Characters\Illustrated" /s /q

:: This section renames the Presenter project.log.
rename "%appdata%\Articulate\Presenter\Project\project.log" "OLDproject.log"

:: This section deletes the Articulate temp files.
rd "%temp%\Articulate" /s /q

:: This section removes Articulate Studio registry keys.
REG DELETE "HKEY_CURRENT_USER\Software\Articulate\Articulate.Presenter" /f
REG DELETE "HKEY_CURRENT_USER\Software\Articulate\Engage" /f
REG DELETE "HKEY_CURRENT_USER\Software\Articulate\Presenter" /f
REG DELETE "HKEY_CURRENT_USER\Software\Articulate\Quizmaker" /f
REG DELETE "HKEY_CURRENT_USER\Software\Articulate\Studio" /f
REG DELETE "HKEY_CURRENT_USER\Software\Articulate\Video Encoder" /f
REG DELETE "HKEY_CURRENT_USER\Software\Articulate\Fireball\1.0\AP7" /f
REG DELETE "HKEY_CURRENT_USER\Software\Articulate\Fireball\1.0\EN3" /f
REG DELETE "HKEY_CURRENT_USER\Software\Articulate\Fireball\1.0\QM4" /f
REG DELETE "HKEY_CURRENT_USER\Software\Articulate\Fireball\1.0\SP4" /f
REG DELETE "HKEY_CURRENT_USER\Software\Articulate\Fireball\1.0\SS4" /f
REG DELETE "HKEY_CURRENT_USER\Software\Microsoft\Office\PowerPoint\Addins\Articulate.Presenter.Ipc" /f
REG DELETE "HKEY_CURRENT_USER\Software\Microsoft\Office\PowerPoint\Addins\PresenterIPC.Connect" /f
REG DELETE "HKEY_CURRENT_USER\Software\Microsoft\Office\PowerPoint\Addins\PresenterRibbon.Connect" /f
REG DELETE "HKEY_CURRENT_USER\Software\VB and VBA Program Settings\Articulate Presenter" /f
REG DELETE "HKEY_LOCAL_MACHINE\SOFTWARE\Articulate\Articulate Studio '13" /f
REG DELETE "HKEY_LOCAL_MACHINE\SOFTWARE\Articulate\Fireball\1.0\AP7" /f
REG DELETE "HKEY_LOCAL_MACHINE\SOFTWARE\Articulate\Fireball\1.0\EN3" /f
REG DELETE "HKEY_LOCAL_MACHINE\SOFTWARE\Articulate\Fireball\1.0\QM4" /f
REG DELETE "HKEY_LOCAL_MACHINE\SOFTWARE\Articulate\Fireball\1.0\SP4" /f
REG DELETE "HKEY_LOCAL_MACHINE\SOFTWARE\Articulate\Fireball\1.0\SS4" /f
REG DELETE "HKEY_LOCAL_MACHINE\SOFTWARE\Articulate Presenter" /f
REG DELETE "HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Office\10.0\PowerPoint\AddIns\articulate" /f
REG DELETE "HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Office\11.0\PowerPoint\AddIns\articulate" /f
REG DELETE "HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Office\12.0\PowerPoint\AddIns\articulate" /f
REG DELETE "HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Office\14.0\PowerPoint\AddIns\articulate" /f
REG DELETE "HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Office\15.0\PowerPoint\AddIns\articulate" /f
REG DELETE "HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Office\8.0\PowerPoint\AddIns\articulate" /f
REG DELETE "HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Office\9.0\PowerPoint\AddIns\articulate" /f
REG DELETE "HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Office\PowerPoint\Addins\Articulate.Presenter.Ipc" /f
REG DELETE "HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Office\PowerPoint\Addins\PresenterIPC.Connect" /f
REG DELETE "HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Office\PowerPoint\Addins\Articulate.Connect" /f
REG DELETE "HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Office\PowerPoint\Addins\PresenterRibbon.Connect" /f
REG DELETE "HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Articulate\Articulate Studio '13" /f
REG DELETE "HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Articulate\Fireball\1.0\AP7" /f
REG DELETE "HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Articulate\Fireball\1.0\EN3" /f
REG DELETE "HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Articulate\Fireball\1.0\QM4" /f
REG DELETE "HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Articulate\Fireball\1.0\SP4" /f
REG DELETE "HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Articulate\Fireball\1.0\SS4" /f
REG DELETE "HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Articulate Presenter" /f
REG DELETE "HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Microsoft\Office\10.0\PowerPoint\AddIns\articulate" /f
REG DELETE "HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Microsoft\Office\11.0\PowerPoint\AddIns\articulate" /f
REG DELETE "HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Microsoft\Office\12.0\PowerPoint\AddIns\articulate" /f
REG DELETE "HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Microsoft\Office\14.0\PowerPoint\AddIns\articulate" /f
REG DELETE "HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Microsoft\Office\15.0\PowerPoint\AddIns\articulate" /f
REG DELETE "HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Microsoft\Office\8.0\PowerPoint\AddIns\articulate" /f
REG DELETE "HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Microsoft\Office\9.0\PowerPoint\AddIns\articulate" /f
REG DELETE "HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Microsoft\Office\PowerPoint\Addins\Articulate.Presenter.Ipc" /f
REG DELETE "HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Microsoft\Office\PowerPoint\Addins\PresenterIPC.Connect" /f
REG DELETE "HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Microsoft\Office\PowerPoint\Addins\Articulate.Connect" /f
REG DELETE "HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Microsoft\Office\PowerPoint\Addins\PresenterRibbon.Connect" /f

:: This section gives the user a confirmation message.
msg "%username%" Articulate Studio '13 program files and registry keys have been removed.